## devscripts 2.18.4ubuntu1

=== test/Makefile ===

OUR_TESTS= \
	annotate-output \
	checkbashisms \
	dd-list \
	debchange \
	debdiff \
	debrepro \
	mk-origtargz \
	package_lifecycle \
	sadt \
	uscan \
	uscan_ftp \
	uscan_mangle \

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.18.4ubuntu1) cosmic; urgency=medium

  * debsign: revert 37b5cc1e5; using short key IDs is not unsafe for
    private keys.  Closes: #909810.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Sep 2018 17:37:23 -0700

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Build-Depends: bash-completion,
               debhelper (>= 11~),
               dh-python,
               docbook-xsl,
               dpkg-dev (>= 1.18.19),
               fakeroot <!nocheck>,
               faketime <!nocheck>,
               file <!nocheck>,
               gnupg <!nocheck> | gnupg2 <!nocheck>,
               help2man,
               libdistro-info-perl <!nocheck>,
               libdpkg-perl <!nocheck>,
               libfile-desktopentry-perl <!nocheck>,
               libfile-homedir-perl <!nocheck>,
               libgit-wrapper-perl <!nocheck>,
               liblist-compare-perl <!nocheck>,
               libstring-shellquote-perl <!nocheck>,
               libtimedate-perl <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               liburi-perl <!nocheck>,
               libwww-perl <!nocheck>,
               lsb-release <!nocheck>,
               mozilla-devscripts <!nocheck>,
               perl:any,
               pkg-config,
               po4a,
#               pylint3 <!nocheck>,
               python3-all:any,
               python3-apt <!nocheck>,
               python3-debian <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-magic <!nocheck>,
               python3-pyftpdlib <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-unidiff <!nocheck>,
               python3-xdg <!nocheck>,
               shunit2 <!nocheck>,
               unzip <!nocheck>,
               wdiff <!nocheck>,
               xsltproc,
               xz-utils <!nocheck>,
               zip <!nocheck>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.18.19),
         libfile-homedir-perl,
         sensible-utils,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt,
            at,
            dctrl-tools,
            dput | dupload,
            fakeroot,
            file,
            gnupg | gnupg2,
            libdistro-info-perl,
            libdpkg-perl,
            libencode-locale-perl,
            libgit-wrapper-perl,
            liblist-compare-perl,
            libstring-shellquote-perl,
            libtry-tiny-perl,
            liburi-perl,
            libwww-perl,
            licensecheck,
            lintian,
            man-db,
            patch,
            patchutils,
            python3-apt,
            python3-debian (>= 0.1.15),
            python3-magic,
            python3-requests,
            python3-unidiff,
            python3-xdg,
            strace,
            unzip,
            wdiff,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: adequate,
          autopkgtest,
          bls-standalone,
          bsd-mailx | mailx,
          build-essential,
          check-all-the-things,
          cvs-buildpackage,
          devscripts-el,
          diffoscope,
          disorderfs,
          dose-extra (>= 4.0),
          duck,
          faketime,
          gnuplot,
          gpgv | gpgv2,
          how-can-i-help,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtps-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          libdbd-pg-perl,
          mozilla-devscripts,
          mutt,
          piuparts,
          postgresql-client,
          quilt,
          ratt,
          reprotest,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtps-perl, libsoap-lite-perl, liburi-perl,
    libwww-perl, bsd-mailx | mailx]
  - build-rdeps: search for all packages that build-depend on a given package
    [dctrl-tools, dose-extra, libdpkg-perl]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific constructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
    building program [cvs-buildpackage, fakeroot, lintian, gnupg | gnupg2]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libdistro-info-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: clean a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
    bzr | git-core | mercurial, libtimedate-perl]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files. Use the diffoscope package for deep comparisons.
    [wdiff, patchutils]
  - debdiff-apply: apply unified diffs of two Debian source packages, such as
    generated by debdiff, to a target source package [python3-unidiff, quilt]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrepro: reproducibility tester for Debian packages  [faketime,
    diffoscope, disorderfs]
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg | gnupg2,
    debian-keyring, ssh-client]
  - debsnap: grab packages from https://snapshot.debian.org [libwww-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot, lintian,
    gnupg | gnupg2]
  - deb-reversion: increase a binary package version number and repacks the
    package, useful for porters and the like
  - dep3changelog: generate a changelog entry from a DEP3-style patch header
  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
    for a menu file [libfile-desktopentry-perl]
  - dget: download Debian source and binary packages [wget | curl]
  - diff2patches: extract patches from a .diff.gz file placing them under
    debian/ or, if present, debian/patches [patchutils]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscextract: extract a single file from a Debian source package [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg | gnupg2, debian-keyring]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - git-deborig: try to produce Debian orig.tar using git-archive(1)
    [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl,
    libstring-shellquote-perl, libtry-tiny-perl]
  - grep-excuses: grep britney's excuses for your packages [libdbd-pg-perl,
    libterm-size-perl, libyaml-syck-perl, wget, w3m]
  - hardening-check: report the hardening characteristics of a set of binaries
  - list-unreleased: search for unreleased packages
  - ltnu: List all uploads of packages by the given uploader or maintainer and
    display them ordered by the last upload [postgresql-client]
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from the same release but built
    on different architectures
  - mk-build-deps: given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given package [equivs]
  - mk-origtargz: rename upstream tarball, optionally changing the compression
    and removing unwanted files [unzip, xz-utils, file]
  - namecheck: check project names are not already taken
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - origtargz: fetch the orig tarball of a Debian package from various sources,
    and unpack it
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs
    [wget | curl]
  - reproducible-check: reports on the reproducible status of installed
    packages [python3-apt, python3-requests, python3-termcolor, python3-xdg]
  - rmadison: remotely query the Debian archive database about packages
    [liburi-perl, wget | curl]
  - sadt: run DEP-8 tests [python3-debian]
  - suspicious-source: output a list of files which are not common source
    files [python3-magic]
  - svnpath: print Subversion repository paths [subversion]
  - tagpending: run from a Debian source tree and tag bugs that are to be
    closed in the latest changelog as pending [libsoap-lite-perl]
  - transition-check: check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages [gpgv | gpgv2,
    gnupg |gnupg2, liblwp-protocol-https-perl, libwww-perl, unzip,
    xz-utils, file]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determine what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg | gnupg2, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for adoption
    [wget | curl]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget | curl]

## devscripts 2.18.6

=== test/Makefile ===
--- 
+++ 
@@ -6,12 +6,15 @@
 	debchange \
 	debdiff \
 	debrepro \
+	debsign \
 	mk-origtargz \
 	package_lifecycle \
 	sadt \
 	uscan \
 	uscan_ftp \
+	uscan_git \
 	uscan_mangle \
+	perltidy \
 
 test: $(foreach i,$(OUR_TESTS),test_$(i).test)

=== debian/changelog ===
devscripts (2.18.6) unstable; urgency=medium

  [ Unit 193 ]
  * uscan:
    + Tweak the bash completion so directory names can be tab completed.

  [ Simon McVittie ]
  * sadt:
    + Ignore the new test restriction "superficial".  MR: !50

  [ Mattia Rizzolo ]
  * tests:
    + Fix autopkgtest that was failing due to missing test dependency
      on fakeroot.  Closes: #910262

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 05 Oct 2018 01:00:11 +0200

devscripts (2.18.5) unstable; urgency=medium

  [ Antoine Beaupre ]
  * debchange:
    + Bump LTS version number from 7 to 8.  Closes: #908062

  [ Mattia Rizzolo ]
  * mk-build-deps:
    + Install the README used for the equivs package into a directory
      named /templates/ to avoid the new lintian tag
      package-contains-documentation-outside-usr-share-doc.
  * wrap-and-sort:
    + Update man-page to list the --dry-run option.  Closes: #908036
  * tests:
    + pylint:
      - Re-enable the test again.
      - Appease the new pylint rule useless-object-inheritance.
    + test_package_lifecycle:
      - Adapt the expected output for dpkg-source 1.19.1.  Closes: #909719
    + Use `set -u` in all the test files.
    + Move some the temporary directories into SHUNIT_TMPDIR, to have more
      assurances that they are cleaned up at the end.
    + In autopkgtest, avoid using the deprecated needs-recomends option, and
      instead explicitly list all the required packages.

  [ Benjamin Drung ]
  * test:
    + Use sys.executable instead of looking at /proc/self/cmdline.
    + Avoid creating .pylint.d directory.
    + Ignore some error-handling code when computing the test coverage.
  * debsign:
    + Fix incomplete .buildinfo entry when an at ('@') sign is in the path.

  [ Chris Lamb ]
  * PEP8-ify a number of Python scripts.  MR: !27

  [ Xavier Guimard ]
  * Rewrite debian/copyright using copyright-format 1.0.  MR: !41
  * Add .perltidyrc to format Perl files and reformat all Perl files.  MR: !47
    - Add a new test test_perltidy to verify that scripts are well formatted.
    - This adds a new build dependency on perltidy.
  * tests:  MR: !48
    - Add faketime to the dependencies in d/tests/control.
    - Fix test_mk-origtargz random failure.
  * uscan:
    + Rewrite using object-oriented code.  MR: !28
      - This adds a new dependency on libmoo-perl for uscan (Recommended).
    + Optimize code:  MR: !30
      - Set FTP passive mode in a trigger.
      - Avoid system() calls.
        + This adds a new dependency on libipc-run-perl and libfile-which-perl
          for uscan (Recommended).
      - Avoid code duplication.
    + Behaviour changes:
      - Warn when find old pgp keyring.
    + Add myself to authors list.
    + Clean temporary git repo.  Closes: #909418; MR: !32
      - Keep it only if --debug is set (previously kept if --verbose).  MR: !33
    + Add @DEB_EXT@ macro containing [\+~](debian|dfsg|ds|deb)(\.)?(\d+)?$.
      - add also a "auto" value for dversionmangle which is replaced by
        dversionmangle=s/@DEB_EXT@//.
      - modify test_uscan to test these values.
      - Closes: #908528; MR: !35
    + Add "pgpmode=gittag" option to verify git tag signature if any.
      Closes: #827065; MR: !38
    + Document the default values of the 'version' and 'script' options.
      Closes: #907289; MR: !40
    + Add tests for git mode.
      - This adds a new build dependency on git.  MR: !42
      - De-duplicate test code.
    + Add a new "searchmode" line option to parse raw/plain content instead of
      just the href= attributes of <a> html tags.  Can be used to e.g. easily
      check .json files.  Closes: #897382; MR: !39

  [ Sean Whitton ]
  * git-deborig:
    + Don't fail when .git/info does not exist.  Closes: #909339; MR: !29

  [ James McCoy ]
  * Audit usage of Dpkg::Version in all scripts.  MR: !44
    + mk-build-deps: Check whether version object exists before trying to use
      it.  This silences Dpkg::Version's new warning about usage in boolean
      context.
    + Devscripts::Uscan::WatchLine: Add missing Dpkg::Version import.
    + chdist: Explicitly import version_compare() from Dpkg::Version.
    + mk-origtargz: Use Dpkg::Version->is_native() instead of reading
      internals.
    + git-deborig: Check sanity of version object before using it.

  [ Dima Kogan ]
  * debcheckout:
    + Fix incorrect interpretation of system() error codes.  Closes: #895307

  [ Cyril Brulebois ]
  * debdiff:
    + Make bash completion autocomplete on *.udeb files.  Closes: #887358

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Oct 2018 16:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders: Mattia Rizzolo <mattia@debian.org>,
            Pierre-Elliott Bécue <becue@crans.org>
 Build-Depends: bash-completion,
@@ -13,14 +12,18 @@
                fakeroot <!nocheck>,
                faketime <!nocheck>,
                file <!nocheck>,
+               git <!nocheck>,
                gnupg <!nocheck> | gnupg2 <!nocheck>,
                help2man,
                libdistro-info-perl <!nocheck>,
                libdpkg-perl <!nocheck>,
                libfile-desktopentry-perl <!nocheck>,
                libfile-homedir-perl <!nocheck>,
+               libfile-which-perl <!nocheck>,
                libgit-wrapper-perl <!nocheck>,
+               libipc-run-perl <!nocheck>,
                liblist-compare-perl <!nocheck>,
+               libmoo-perl <!nocheck>,
                libstring-shellquote-perl <!nocheck>,
                libtimedate-perl <!nocheck>,
                libtry-tiny-perl <!nocheck>,
@@ -29,9 +32,10 @@
                lsb-release <!nocheck>,
                mozilla-devscripts <!nocheck>,
                perl:any,
+               perltidy <!nocheck>,
                pkg-config,
                po4a,
-#               pylint3 <!nocheck>,
+               pylint3 <!nocheck>,
                python3-all:any,
                python3-apt <!nocheck>,
                python3-debian <!nocheck>,
@@ -74,7 +78,10 @@
             libdpkg-perl,
             libencode-locale-perl,
             libgit-wrapper-perl,
+            libfile-which-perl,
+            libipc-run-perl,
             liblist-compare-perl,
+            libmoo-perl,
             libstring-shellquote-perl,
             libtry-tiny-perl,
             liburi-perl,
@@ -250,15 +257,11 @@
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages [gpgv | gpgv2,
-    gnupg |gnupg2, liblwp-protocol-https-perl, libwww-perl, unzip,
-    xz-utils, file]
+    gnupg |gnupg2, libfile-which-perl, libipc-run-perl,
+    liblwp-protocol-https-perl, libmoo-perl, libwww-perl, unzip, xz-utils,
+    file]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]
   - whodepends: check which maintainers' packages depend on a package
   - who-uploads: determine the most recent uploaders of a package to the Debian
-    archive [gnupg | gnupg2, debian-keyring, debian-maintainers, wget]
-  - wnpp-alert: list installed packages which are orphaned or up for adoption
-    [wget | curl]
-  - wnpp-check: check whether there is an open request for packaging or
-    intention to package bug for a package [wget | curl]

=== debian/tests/control ===
Tests: shunit2
Depends:
 @,
 build-essential,
 debhelper,
 fakeroot,
 faketime,
 git,
 gnupg,
 libdistro-info-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 mozilla-devscripts,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 wdiff,
 zip,
Restrictions: allow-stderr

## devscripts 2.18.7~bpo9+1

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

all: version make_scripts conf.default translated_manpages

version:
	rm -f version
	dpkg-parsechangelog -SVersion > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default make_scripts

online-test:
	$(MAKE) -C test/ online-test

test:
	$(MAKE) test_scripts
	$(MAKE) test_test

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts
	install -d "$(DESTDIR)$(PERLMOD_DIR)" \
	    "$(DESTDIR)$(DATA_DIR)" "$(DESTDIR)$(TEMPLATES_DIR)" \
	    "$(DESTDIR)$(DOCDIR)" "$(DESTDIR)$(MAN1DIR)"
	for f in lib/*; do cp -a "$$f" "$(DESTDIR)$(PERLMOD_DIR)"; done
	install -m0644 conf.default "$(DESTDIR)$(DATA_DIR)"
	install -m0644 templates/README.mk-build-deps "$(DESTDIR)$(TEMPLATES_DIR)"
	install -m0644 README "$(DESTDIR)$(DOCDIR)"
	install -m0644 doc/*.1 "$(DESTDIR)$(MAN1DIR)"
	ln -sf edit-patch.1 "$(DESTDIR)$(MAN1DIR)/add-patch.1"

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== debian/changelog ===
devscripts (2.18.7~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 Oct 2018 16:37:41 +0100

devscripts (2.18.7) unstable; urgency=medium

  [ Martyn Welch ]
  * chdist:
    + Make src2bin use the chosen dist config instead of the host's.  MR: !52

  [ Xavier Guimard ]
  * Perl scripts:
    + Add common modules to parse configuration, command line and normalize
      output.  MR: !51
      - This moves libmoo-perl and libipc-run-perl dependency from "Recommends"
        to "Depends".  MR: !51; MR: !74
  * uscan:
    + Fix bad package name in git HEAD mode.  Closes: #896136
    + Modified to use common Perl modules.  MR: !51
    + Download only the good ref in gitmode shallow.  Closes: #910709; MR: !57
    + Fix documentation: -dd isn't usable, but --dd is.  MR: !58
    + Embed mk-origtargz instead of launching it and parse stdout.  MR: !55
    + Enclose the whole @ANY_VERSION@, @ARCHIVE_EXT@, @DEB_EXT@ and
      @SIGNATURE_EXT into non-capturing groups (See #910910).  MR: !66
    + Disable pgpmode=previous lines if nothing was downloaded.
      Closes: #910910; MR: !69
    + Use new value 'default' for compression when not chosen.  MR: !68
    + Fix regression from 2.18.5 where the User-Agent string was not set to
      the default value.  Closes: #911401; MR: !73
    + In git mode, check the local git repository in the if there is an
      upstream remote and use it when available.  Closes: #910777; MR: !72
  * mk-origtargz:
    + Rewritten using common Perl files.  MR: !55
    + Don't override compression when set in command line when we are
      implicitly repacking.  Closes: #894518; MR: !60
    + Accept uncompressed tarballs as source files.  Closes: #838682; MR: !64
    + Switch default compression from gzip to xz if source format is 2.0 or if
      mk-origtargz isn't used in a debian source directory
      Closes: #910803; MR: !61; MR: !63
    + Refactor the whole configuration management code, and add a 'default'
      compression to let mk-origtargz choose.  MR: !68
  * French translation update.  MR: !59

  [ Daniel Kahn Gillmor ]
  * uscan:
    + Fix typo in documentation, s/hush/hash.  Closes: #910759

  [ Mattia Rizzolo ]
  * mk-build-deps:
    + Add patch by Joost van Baal-Ilić to allow building a package even if the
      package doesn't have any build dependencies.  Closes: #910369
  * who-uploads:
    + Fix bad signal handling that could potentially lead to insecure use of
      /tmp.  Thanks to Jakub Wilk for reporting.  Closes: #911720
  * dd-list:
    + Update documentation to match reality, as dd-list is now using
      `apt-get indextargets` when available.  Closes: #911423
  * README:
    + Normalize by always appending a full stop at the end of the sentence.
    + Document the role of "Suggests"ed packages.
    + Introduce the concept of "core" scripts, for which base dependencies are
      expected to be marked as hard "Depends".  For now the following scripts
      are considered core: dcmd dd-list debchange debcheckout debclean debdiff
      debsign debuild uscan.
  * debian/control:
    + Per the above definition of "core scripts", promote the following
      packages to Depends: fakeroot, file, gnupg|gnupg2, gpgv|gpgv2,
      libfile-which-perl, libwww-perl, patchutils, wdiff.
    + Generate the package description from the README.  MR: !77
  * tests:
    + Skip test_debrepro on hurd-i386, at it requires sem_open().

  [ Eli Uriegas ]
  * mk-build-deps:
    + Fix use of an uninitialized variable in build_equiv().  MR: !56

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 25 Oct 2018 13:11:38 +0200

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Build-Depends: bash-completion,
               debhelper (>= 11~),
               dh-python,
               docbook-xsl,
               dpkg-dev (>= 1.18.19),
               fakeroot <!nocheck>,
               faketime <!nocheck>,
               file <!nocheck>,
               git <!nocheck>,
               gnupg <!nocheck> | gnupg2 <!nocheck>,
               help2man,
               libdistro-info-perl <!nocheck>,
               libdpkg-perl <!nocheck>,
               libfile-desktopentry-perl <!nocheck>,
               libfile-homedir-perl <!nocheck>,
               libfile-which-perl <!nocheck>,
               libgit-wrapper-perl <!nocheck>,
               libipc-run-perl <!nocheck>,
               liblist-compare-perl <!nocheck>,
               libmoo-perl <!nocheck>,
               libstring-shellquote-perl <!nocheck>,
               libtimedate-perl <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               liburi-perl <!nocheck>,
               libwww-perl <!nocheck>,
               lsb-release <!nocheck>,
               mozilla-devscripts <!nocheck>,
               perl:any,
               perltidy <!nocheck>,
               pkg-config,
               po4a,
               pylint3 <!nocheck>,
               python3-all:any,
               python3-apt <!nocheck>,
               python3-debian <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-magic <!nocheck>,
               python3-pyftpdlib <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-unidiff <!nocheck>,
               python3-xdg <!nocheck>,
               shunit2 <!nocheck>,
               unzip <!nocheck>,
               wdiff <!nocheck>,
               xsltproc,
               xz-utils <!nocheck>,
               zip <!nocheck>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.18.19),
         fakeroot,
         file,
         gnupg | gnupg2,
         gpgv | gpgv2,
         libfile-homedir-perl,
         libfile-which-perl,
         libipc-run-perl,
         libmoo-perl,
         libwww-perl,
         patchutils,
         sensible-utils,
         wdiff,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt,
            at,
            dctrl-tools,
            dput | dupload,
            libdistro-info-perl,
            libdpkg-perl,
            libencode-locale-perl,
            libgit-wrapper-perl,
            liblist-compare-perl,
            libstring-shellquote-perl,
            libtry-tiny-perl,
            liburi-perl,
            licensecheck,
            lintian,
            man-db,
            patch,
            python3-apt,
            python3-debian (>= 0.1.15),
            python3-magic,
            python3-requests,
            python3-unidiff,
            python3-xdg,
            strace,
            unzip,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: adequate,
          autopkgtest,
          bls-standalone,
          bsd-mailx | mailx,
          build-essential,
          check-all-the-things,
          cvs-buildpackage,
          devscripts-el,
          diffoscope,
          disorderfs,
          dose-extra (>= 4.0),
          duck,
          faketime,
          gnuplot,
          how-can-i-help,
          libauthen-sasl-perl,
          libdbd-pg-perl,
          libfile-desktopentry-perl,
          libnet-smtps-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mozilla-devscripts,
          mutt,
          piuparts,
          postgresql-client,
          quilt,
          ratt,
          reprotest,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

## devscripts 2.18.7

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -std=c99
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.pl,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES := \
	build-rdeps \
	dcontrol \
	dd-list \
	debcheckout \
	debsnap \
	dget \
	getbuildlog \
	grep-excuses \
	mass-bug \
	mk-build-deps \
	pts-subscribe \
	pts-unsubscribe \
	rc-alert \
	rmadison \
	transition-check \
	who-uploads \
	whodepends \
	wnpp-alert \
	wnpp-check \

GEN_MAN1S += \
	debrepro.1 \
	devscripts.1 \
	ltnu.1 \
	mk-origtargz.1 \
	reproducible-check.1 \
	uscan.1 \

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<

test_py: $(VERSION_FILE)
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in
	cat $< > $@.$(PID)
	perl ../debian/genmanpage.pl >> $@.$(PID)
	mv $@.$(PID) $@

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR)
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)


test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for debpkg
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  gnupg,
  libdistro-info-perl,
  libipc-run-perl,
- libmoo-perl,
  libwww-perl,
  mozilla-devscripts,
  python3-debian,

## devscripts 2.18.9~bpo9+1

=== debian/changelog ===
devscripts (2.18.9~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 15 Nov 2018 06:16:56 +0100

devscripts (2.18.9) unstable; urgency=medium

  * Fix FTBFS due to a missing dependency in the Makefile.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 13 Nov 2018 13:52:35 +0100

devscripts (2.18.8) unstable; urgency=medium

  [ Reiner Herrmann ]
  * nmudiff:
    + Check for neomutt if mutt is not available.  Closes: #912083

  [ Xavier Guimard ]
  * French translation update.
  * uscan:
    + Fix default compression suffix in git HEAD mode.  Closes: #912403; MR: !81
    + Re-enable -dd and -ddd and fix documentation.  MR: !78
    + Support of grouped upstream sources.  Closes: #899073; MR: !80
  * mk-origtargz:
    + Add --force-repack option.
  * Devscripts::Config:
    + Fix bad error handling and improve tests.
    + Fix handling of array values (space-separated values) in .devscripts.

  [ Jérémy Lal ]
  * uscan:
    + Fix missing parenthesis.  Closes: #913008

  [ Mattia Rizzolo ]
  * doc:
    + Move the instructions to build/install/clean the doc/ directory into a
      Makefile in that directory.
    + Move devscripts.1 and devscripts.conf.5 from scripts/ to doc/.
    + Fix devscripts.1 generation, build it from README instead of d/control
      and move the genmanpage.pl script out of debian/.  Closes: #912971
  * Fix the trap handling in multiple shell scripts.  Now they trap only EXIT,
    and not a random set of the first 15 signals.  Closes: #911969
  * dcontrol:
    + Document --no-conf also in the manpage.

  [ Nicolas Boulenguez ]
  * Makefile:
    + Remove some obsolete build flags from scripts/Makefile.
    + Include dpkg-dev Makefile snippet instead of calling dpkg-vendor(1).
    + Clean the pylint cache directory.
  * bts:
    + Ensure consistency of the regex validating cache mode.
    + Let a boolean test consider all false values instead of only 0.
    + Replace 2 redundant booleans with an enumeration of 3 cases.
  * dcontrol:
    + Accept the --no-conf option.
  * debchange:
    + Fix auto_nmu (getoptions uses 0/1, not yes/no).
    + Small code cleanup.
    + Check command line value for log heuristic
  * debuild:
    + Only set --rootcmd from an user explicit choice.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Nov 2018 18:03:59 +0100

## devscripts 2.18.9

=== scripts/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 
 include ../Makefile.common
+include /usr/share/dpkg/vendor.mk
 DESTDIR =
 
 define \n
@@ -8,14 +9,10 @@
 endef
 
 VERSION_FILE = ../version
-VERSION := $(shell cat $(VERSION_FILE))
+VERSION = $(shell cat $(VERSION_FILE))
 
 PL_FILES := $(wildcard *.pl)
 SH_FILES = $(wildcard *.sh)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -std=c99
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 CWRAPPERS = debpkg-wrapper
 SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
 PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
@@ -47,7 +44,6 @@
 
 GEN_MAN1S += \
 	debrepro.1 \
-	devscripts.1 \
 	ltnu.1 \
 	mk-origtargz.1 \
 	reproducible-check.1 \
@@ -63,7 +59,7 @@
 debchange: debchange.pl $(VERSION_FILE)
 	cp $< $@
 	sed -i "s/###VERSION###/$(VERSION)/" $@
-ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
+ifeq ($(DEB_VENDOR),Ubuntu)
 # On Ubuntu always default to targeting the release that it's built on,
 # not the current devel release, since its primary use on stable releases
 # will be for preparing PPA uploads.
@@ -100,14 +96,6 @@
 test_py: $(VERSION_FILE)
 	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))
 
-# There is a slight chance this gets called twice, once here from here and once
-# from ../po4a/Makefile. Treat files with care.
-PID := $(shell echo $$$$-$$PPID)
-devscripts.1: devscripts.1.in
-	cat $< > $@.$(PID)
-	perl ../debian/genmanpage.pl >> $@.$(PID)
-	mv $@.$(PID) $@
-
 reproducible-check.1: reproducible-check
 	help2man \
 		--name="Reports on the reproducible status of installed packages" \
@@ -125,7 +113,7 @@
 	python3 setup.py clean -a
 	find -name '*.pyc' -delete
 	find -name __pycache__ -delete
-	rm -rf devscripts.egg-info $(BC_BUILD_DIR)
+	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
 	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
 		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)

## devscripts 2.18.10~bpo9+1

=== debian/changelog ===
devscripts (2.18.10~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Dec 2018 09:53:44 +0100

devscripts (2.18.10) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * uscan:
    + Use gpgv instead of gpg for git tag verification.  MR: !82

  [ Emilio Pozuelo Monfort ]
  * uscan:
    + Fix mkorigtargz for watch version 4 with non-default destdir
      and a defined action.  MR: !83

  [ Xavier Guimard ]
  * uscan:
    + Change "group" version build: version is the grouping of each component
      version after mk-origtargz changes (i.e. a repack suffix can be added to
      each component separately).  MR: !84
    + Use gpgv in all signature verification.  Closes: #913665; MR: !88
    + Force UTC for the date of the last git commit.  Closes: #910762; MR: !89

  [ Mattia Rizzolo ]
  * wrap-and-sort:
    + Avoid crashing on non-unicode locales.  Closes: #914181

  [ James McCoy ]
  * Devscripts::Packages:
    + Parse "dpkg --status" instead of /var/lib/dpkg/status.  MR: !87
  * Devscripts::PackageDeps:
    + Add fromStatus() to parse "dpkg --status", leaving new() to parse other
      similar files.  MR: !87
  * dpkg-depcheck:
    + Use Devscripts::PackageDeps->fromStatus.  MR: !87

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Dec 2018 17:59:12 +0100

## devscripts 2.19.2~bpo9+1

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 
 OUR_TESTS= \
+	perl \
 	annotate-output \
 	checkbashisms \
 	dd-list \

=== debian/changelog ===
devscripts (2.19.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Jan 2019 15:02:05 +0100

devscripts (2.19.2) unstable; urgency=medium

  * d/postinst:
    + Re-add accidentally removed code that installs /etc/devscripts.conf
      during the first installation.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 20:37:26 +0100

devscripts (2.19.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Upload to unstable.
  * d/control:
    + Add debhelper to Suggests.  Thanks Simon Quigley for the suggestion.
    + Restrict the Build-Depends on git to >= 1:2.7.0 (to use `git log
      --date=format-local:`), that is not available on kbsd yet.
    + Bump debhelper compat level to 12, using the new debhelper-compat format.
    + Bump Standards-Version to 4.3.0, no changes needed.
  * d/lintian-overrides:
    + Add some lintian overrides for uses-dpkg-database-directly.  MR: !95
    + Add a lintian override for binary-package-depends-on-toolchain-package.
  * Move manual calls to dpkg-maintscript-helper to d/maintscripts.
  * Remove the whole postinst script, dealing with updates to the configuration
    file from very ancient versions.  Thank you lintian for opening my eyes.
  * debchange:
    + Add patch from Stuart Prescott to fix the autodetection of NMU in case
      the person running dch is listed in the first line under a wrapped
      Uploaders field.  Closes: #915393
  * tests/test_debrepro:
    + Skip testing filesystem-ordering, as that may fail if disorderfs is
      installed but the fuse kernel module is not loaded.

  [ Xavier Guimard ]
  * salsa:
    + Fix typo in salsa fork command.  Closes: #915978
    + Fix typo in pod documentation.
    + Hide salsa token in bug report.  Closes: #916073; MR: !91
    + Fix mr bug when colors are activated.  MR: !92
    + Fix bad warning on unexistent project and downgrade messages to debug
      level.
    + Add libgitlab-api-v4-perl and libtest-output-perl in build dependencies
      and d/tests/control to enable the salsa unit tests.  MR: !94
    + Add a --ci-config-path option.  MR: !96
    + push_repo: allow pushing even if the project already exists.  MR: !97
    + Skip project in update_repo if hooks are not available.
  * uscan:
    + Fix warning when grouped package is up to date.
    + Fix dehs output when using --report with pgpmode next/previous.
      Closes: #918994; MR: !99
    + Fix dehs output for grouped packages.  MR: !99
  * French translation update.

  [ Benjamin Drung ]
  * wrap-and-sort:
    + Also sort debian/tests/control.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 20:18:58 +0100

devscripts (2.18.11) experimental; urgency=medium

  [ Xavier Guimard ]
  * Devscripts::Config:
    + Support a new --conf-file option to add extra configuration files.
  * Devscripts::Output:
    + Add a new ds_prompt() function.
  * Add Devscripts::JSONCache, Perl object cache library to store values.
  * salsa: new tool to manage salsa.debian.org repositories with:
    + commands to manage users in salsa groups,
    + commands to contribute (create fork and merge_request),
    + commands to manage repositories: configure project description, KGB
      webhook, tagpending webhook, Irker, Email-on-push, default HEAD (i.e.
      from the default "master" to "debian/master" for DEP-14 migrations).
  * Closes: #890594; MR: !70

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Dec 2018 18:49:57 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Pierre-Elliott Bécue <becue@crans.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 docbook-xsl,
 dpkg-dev (>= 1.18.19),
 fakeroot <!nocheck>,
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 mozilla-devscripts <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkg-config,
 po4a,
 pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 fakeroot,
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-homedir-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt,
 at,
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libgitlab-api-v4-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 devscripts-el,
 diffoscope,
 disorderfs,
 dose-extra (>= 4.0),
 duck,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libnet-smtps-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mozilla-devscripts,
 mutt,
 piuparts,
 postgresql-client,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}
